# Obtain Physical Machine Image - DescribePHostImage

## Overview

Get Physical Cloud Host Image List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribePHostImage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ImageType** | string | Image Category, enumeration values, Base is the basic image; Custom is the self-made image. |No|
| **ImageId.N** | string | Image ID |No|
| **Offset** | int | Data offset, default is 0 |No|
| **Limit** | int | Return data length, default is 20 |No|
| **MachineType** | string | Machine model, only supports the display of models in the current zone. |No|
| **Cluster** | string | The network cluster of the machine, MachineType transmission is mandatory, default is 25G. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of images that meet the conditions |No|
| **ImageSet** | array[[*PHostImageSet*](#phostimageset)] | Image List PHostImageSet |No|

#### Data Model


#### PHostImageSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ImageId** | string | Image ID |No|
| **ImageName** | string | Image Name |No|
| **OsName** | string | Operating System Name |No|
| **OsType** | string | Operating System Type |No|
| **Support** | array[string] | Supported Machine Types |No|
| **Version** | string | Current Version |No|
| **ImageType** | string | Enumeration values: Base=>Basic Image, Custom=>Custom Image. |No|
| **CreateTime** | string | BareMetal 2.0 Parameters. Image creation time. |No|
| **State** | string | BareMetal 2.0 Parameters. Current status of the image. |No|
| **ImageSize** | int | BareMetal 2.0 parameters. Image size. |No|
| **ImageDescription** | string | Image Description |No|

## Example

### Request Example
    
```
https://api.zosoc.com/?Action=DescribePHostImage
&Region=lPknnhFJ
&Zone=BkUzrVGH
&ProjectId=tLfmjwpi
&ImageType=Ajlqqiqf
&ImageId.n=hmIDkOMO
&Offset=7
&Limit=1
&MachineType=QxVNPRCH
&Cluster=DkUhdXDD
```

### Response Example
    
```json
{
  "Action": "DescribePHostImageResponse",
  "ImageSet": [
    {
      "ImageId": "jMonPUZs",
      "ImageName": "zZHLkcpk",
      "OsName": "ICNxbWaj",
      "OsType": "KinGDoGa",
      "Support": [
        "rVxQDlcE"
      ],
      "Version": "EtexDjJR"
    }
  ],
  "RetCode": 0,
  "TotalCount": 5
}
```





